/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #969696;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #464646;
  border-radius: 20px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.section-title {
  margin: 50px 0px 30px 0px;
}

.library-section {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.search-box {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: #fff;
  width: 730px;
  padding: 30px;
  border-radius: 10px;
}

.search-box .search-inputs {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  gap: 20px;
}

.search-box .search-inputs p {
  margin: 0;
  text-align: center;
  font-size: 17px;
  font-weight: 500;
}

.search-box .search-inputs label {
  font-weight: 500;
  margin-bottom: 5px;
}

.search-box .search-inputs .dropdown {
  width: 100%;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 15px;
  border-radius: 5px;
  background-color: #eeeeee;
  transition: 0.3s;
  cursor: pointer;
}

.search-box .search-inputs .dropdown:hover {
  background-color: #ddd;
}

.search-box .search-inputs .dropdown i {
  width: 25px;
  height: 25px;
  transition: 0.3s;
  border-radius: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.search-box .search-inputs .dropdown i.rotate {
  transform: rotate(-180deg);
}
.search-box .search-inputs .dropdown-list {
  width: 100%;
  height: 0px;
  background-color: #eee;
  margin-top: 10px;
  transition: 0.3s;
  border-radius: 5px;
  padding: 0;
  overflow: hidden;
}

.search-box .search-inputs .dropdown-list.show {
  height: 160px;
  padding: 10px 10px 0px;
}

.search-box .search-inputs .dropdown-list li {
  width: 100%;
  height: 40px;
  background-color: #ddd;
  margin-bottom: 10px;
  display: flex;
  align-items: center;
  justify-content: right;
  padding: 0 10px 0;
  border-radius: 5px;
  transition: 0.1s;
  cursor: pointer;
}

.search-box .search-inputs .dropdown-list li:hover {
  color: #fff;
  background-color: #4e8989;
}

.search-box .search-inputs .dropdown-list li:active {
  color: #fff;
  background-color: #315c5c;
}

.search-box .search-inputs .search-subject {
  width: 100%;
}

.search-box .search-inputs .search-text {
  width: 100%;
}

.search-box .search-inputs .search-text input {
  width: 100%;
  outline: none;
  border: none;
  background-color: #eee;
  height: 50px;
  border-radius: 5px;
  padding: 0px 15px 0px;
  font-size: 18px;
}

.search-box .search-inputs .search-text input:focus {
  border: 3px solid #95afa3;
  background-color: #1987541c;
}

.search-box .btns {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.search-box .btns .search-btn {
  width: 100%;
  text-align: center;
  height: 50px;
  display: flex;
  align-items: center;
  background-color: #315c5c;
  color: #fff;
  justify-content: center;
  margin-top: 20px;
  font-weight: 500;
  border-radius: 5px;
  margin-bottom: 5px;
  transition: 0.3s;
  cursor: pointer;
}

.search-box .btns .search-btn:hover {
  background-color: #2c5252;
}

.search-box .btns .search-btn:active {
  background-color: #153434;
}

.results {
  width: 730px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  margin-top: 50px;
}

.results p {
  margin: 0;
  width: 15%;
  display: flex;
  align-items: center;
  justify-content: right;
  padding-right: 10px;
  font-weight: 500;
  margin-bottom: 5px;
}

.results > div {
  width: 80%;
  border: 1px dashed #000;
  border-style: dashed;
}

.results-box {
  width: 730px;
  /* height: 0;
  transition: .3s;
  overflow: hidden; */
}

.results-box.active {
  height: 100%;
}

.results-box .results-filter {
  width: 100%;
  background-color: #315c5c;
  padding: 15px 20px;
}

.results-box .results-filter > p {
  font-weight: 400;
  margin-bottom: 0px;
  color: #fff;
  padding: 10px 0px 20px;
}

.results-box .dropdown {
  width: 100%;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 15px;
  border-radius: 5px;
  background-color: #eeeeee;
  transition: 0.3s;
  cursor: pointer;
}

.results-box .dropdown p {
  margin: 0;
  text-align: center;
  font-size: 17px;
  font-weight: 500;
}

.results-box .dropdown:hover {
  background-color: #ddd;
}

.results-box .dropdown i {
  width: 25px;
  height: 25px;
  transition: 0.3s;
  border-radius: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.results-box .dropdown i.rotate {
  transform: rotate(-180deg);
}
.results-box .dropdown-list {
  width: 100%;
  height: 0px;
  background-color: #eee;
  margin-top: 10px;
  transition: 0.3s;
  border-radius: 5px;
  padding: 0;
  overflow-y: scroll;
}

.results-box .dropdown-list.show {
  height: 260px;
  padding: 10px 10px 0px;
}

.results-box .dropdown-list li {
  width: 100%;
  height: 40px;
  background-color: #ddd;
  margin-bottom: 10px;
  display: flex;
  align-items: center;
  justify-content: right;
  padding: 0 10px 0;
  border-radius: 5px;
  transition: 0.1s;
  cursor: pointer;
}

.results-box .dropdown-list li:hover {
  color: #fff;
  background-color: #4e8989;
}

.results-box .dropdown-list li:active {
  color: #fff;
  background-color: #315c5c;
}

.results-list {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: #ffffff;
  min-height: 200px;
  padding: 20px;
  gap: 20px;
}

.results-list .result-card {
  width: 100%;
  background-color: #eee;
  border-radius: 10px;
  padding: 15px;
  transition: .3s;
}

.results-list .result-card .info-box {
  width: 100%;
}

.results-list .result-card .info-box p {
  margin: 0;
  text-wrap: wrap;
  max-width: 100%;
}

.results-list .result-card .info-box .info-label {
  color: #515050;
  font-weight: 400;
  font-size: 15px;
}

.results-list .result-card .info-box .info {
  margin: 5px 0px 15px 0px;
  font-weight: 500;
  font-size: 17px;
}

.results-list .result-card .more-info-box {
  height: 0;
  overflow: hidden;
  transition: 0.3s height;
}

.results-list .result-card .more-info-box.active {
  height: fit-content;
}

.results-list .result-card .more-info-box .info-label {
  color: #515050;
  font-weight: 400;
  font-size: 15px;
}

.results-list .result-card .more-info-box .info {
  margin: 5px 0px 15px 0px;
  font-weight: 500;
  font-size: 17px;
}

.results-list .result-card .more-info-btn {
  width: 150px;
  text-align: center;
  height: 40px;
  display: flex;
  align-items: center;
  background-color: #315c5c;
  color: #fff;
  justify-content: center;
  font-size: 14px;
  font-weight: 500;
  border-radius: 5px;
  margin-bottom: 5px;
  transition: 0.3s;
  cursor: pointer;
}

.results-list .result-card .more-info-btn:hover {
  background-color: #2c5252;
}

.results-list .result-card .more-info-btn:active {
  background-color: #153434;
}

.results-list .result-card .more-info-btn.more-active {
  background-color: #6d7373;
}

/* responsive */
@media (max-width: 767px) {
  .search-box {
    width: 100%;
  }

  .results-box {
    width: 100%;
  }

  .results {
    width: 100%;
  }

  .results p {
    margin: 0;
    width: 30%;
    display: flex;
    align-items: center;
    justify-content: right;
  }

  .results > div {
    width: 70%;
    border: 1px dashed #000;
    border-style: dashed;
  }
}

@media (max-width: 551px) {
}

@media (min-width: 768px) {
}

@media (min-width: 992px) {
}

@media (min-width: 1200px) {
}
